Package net.sourceforge.jiu.codecs.jpeg

# Class JPEGQuantizationTable

java.lang.Object
net.sourceforge.jiu.codecs.jpeg.JPEGQuantizationTable

public class JPEGQuantizationTable extends Object
Data for a JPEG bitstream quantization table. Includes quantization data, table id (0 to 3) and element precision in bits (8 or 16).

Since:
  0.13.0
Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`private int[]`
`data`
`private int`
`elementPrecision`
`private int`
`id`

## Constructor Summary

Constructors
Constructor
Description
`JPEGQuantizationTable()`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getData()`
`int`
`getElementPrecision()`
`int`
`getId()`
`void`
`setData(int[] is)`
`void`
`setElementPrecision(int i)`
`void`
`setId(int i)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### data

private int[] data

### elementPrecision

private int elementPrecision

### id

private int id

## Constructor Details

### JPEGQuantizationTable

public JPEGQuantizationTable()

## Method Details

### getData

public int[] getData()

### getElementPrecision

public int getElementPrecision()

### getId

public int getId()

### setData

public void setData(int[] is)

### setElementPrecision

public void setElementPrecision(int i)

### setId

public void setId(int i)